/*
 * Description: UCM6100 WebGUI
 *
 * Copyright (C) 2013 Grandstream Networks, Inc.
 *
 * This project extends Asterisk GUI project and contains Grandstream Network's
 * implementation which uses Asterisk GUI.
 *
 * Asterisk and Asterisk GUI are registered trademarks of Digium, Inc. 
 * Please see http://www.asterisk.org for more information about the Asterisk 
 * project.
 *
 * This program is free software, distributed under the terms of
 * the GNU General Public License Version 2. See the LICENSE file
 * at the top of the source tree.
 *
 */
$P = top.$;

window.onload = function ()
{
    $P.lang(document, true);
    initForm();
    return false;
};

var saveForm = function ()
{
    FOLLOWME_OPTIONS = '';
    if (_$('chk_fmoptions_n').checked) FOLLOWME_OPTIONS = FOLLOWME_OPTIONS + 'n';
    if (_$('chk_fmoptions_a').checked) FOLLOWME_OPTIONS = FOLLOWME_OPTIONS + 'a';
    if (_$('chk_fmoptions_s').checked) FOLLOWME_OPTIONS = FOLLOWME_OPTIONS + 's';
    ASTGUI.updateaValue({ file: 'extensions.conf', context: 'globals', variable: 'FOLLOWMEOPTIONS', value: FOLLOWME_OPTIONS });
    top.dialog.dialogMessage({ type: 'success', content: $P.lang("LANG844") });
};
var initForm = function ()
{
    var ext_globals = context2json({ filename: 'extensions.conf', context: 'globals', usf: 1 });
    if (ext_globals.hasOwnProperty('FOLLOWMEOPTIONS'))
    {
        FOLLOWME_OPTIONS = ext_globals.FOLLOWMEOPTIONS;
        _$('chk_fmoptions_s').checked = (FOLLOWME_OPTIONS.contains('s')) ? true : false;
        _$('chk_fmoptions_a').checked = (FOLLOWME_OPTIONS.contains('a')) ? true : false;
        _$('chk_fmoptions_n').checked = (FOLLOWME_OPTIONS.contains('n')) ? true : false;
    }
}
