<?php
$resMsg = array
(
    "SUCCESS" => "Success!\r\n",
    "ERROR" => "Error Message: Error!\r\n",
    "NOT_READY" => "Error Message: Not yet implemented!\r\n",
    "INVALID_FORMAT" => "Error Message: Invalid file format!\r\n",
    "DELETE_FAILED" => "Error Message: Delete failed!\r\n",
    "NO_TARGET" => "Error Message: No target found!\r\n",
    "FILE_NOT_FOUND" => "Error Message: File not found!\r\n",
    "INVALID_URL" => "Error Message: Invalid URL!\r\n"
);

$HEADER="Cache-Control: no-cache, must-revalidate\r\nExpires: $(date)\r\nContent-Type: text/html\r\n\r\n";

function del_function($dir, $filenames){	
	global $resMsg;
    $files = split(",", $filenames);
    foreach( $files as $file )
    {
        $file = $dir.$file;
	    if(!file_exists($file))
	    {
		    //echo $HEADER;
		    echo $resMsg["FILE_NOT_FOUND"];
		    return;
	    }
	
        if (is_link($file)) {
        	@chmod($file, 0777);
	        $target = readlink($file);
	        if($target == false)
	        {
	        	//echo $HEADER;
	        	echo $resMsg["NO_TARGET"];
	        	return;
	        }
	        	
	        //@unlink($file);
            @chmod($target, 0777);
	        @unlink($target);
	        if(@file_exists($target))
	        {
	        	//echo $HEADER;
	        	echo $resMsg["DELETE_FAILED"];
	        	return;
	        }
        }
        else if(is_file($file)) {
	        @chmod($file, 0777);
	        @unlink($file);
	        if(@file_exists($file))
	        {
	        	//echo $HEADER;
	        	echo $resMsg["DELETE_FAILED"];
	        	return;
	        }
	    }
	}
	//echo $HEADER;
	echo $resMsg["SUCCESS"];
	return;	
}



if($_GET["type"] == "cdr" )
{
	if( array_key_exists("path", $_GET) && array_key_exists("file",$_GET) && strlen($_GET["file"]) > 0)
	    del_function("./udata/".$_GET["path"]."/", $_GET["file"]);
	else if( !array_key_exists("file",$_GET))
	    del_function("./config/", "Master.csv");
	else
	{
		echo $resMsg["INVALID_URL"];
		return;
	}
}


	
?>
