<?php

$resMsg = array
(
    "SUCCESS" => "Success!\r\n",
    "ERROR" => "Error Message: Error!\r\n",
    "NOT_READY" => "Error Message: Not yet implemented!\r\n",
    "INVALID_FORMAT" => "Error Message: Invalid file format!\r\n",
    "SIZE_OVERFLOW" => "Error Message: The file is too large (should less then 10M)!\r\n",
    "UPLOAD_FAILED" => "Error Message: Upload failed!\r\n",
    "NO_MORE_SPACE" => "Error Message: No more space!\r\n"
);

function processUploadTimeZone()
{
    global $resMsg;

    echo $resMsg["NOT_READY"];
}

function processUploadOverlay()
{
    global $resMsg;

    echo $resMsg["NOT_READY"];
}

function processUploadBackup()
{
    global $resMsg;

    echo $resMsg["NOT_READY"];
}

function processUploadFlash()
{
    global $resMsg;

    echo $resMsg["NOT_READY"];
}

function processUploadFile()
{
    global $resMsg;

    /*File type should be wav, gsm, ulaw, alaw*/
    /* //This has been checked on the web
    if (!empty($_FILES["filename"]["type"]) &&
        ($_FILES["filename"]["type"] != "audio/x-wav") &&
        ($_FILES["filename"]["type"] != "audio/wav") &&
        ($_FILES["filename"]["type"] != "audio/mp3"))
    {
        echo $resMsg["INVALID_FORMAT"];
        return ;
    }
    */

    /*Upload file size should be less then 10M*/
    if ($_FILES["filename"]["size"] > (10 * 1024 * 1024))
    {
        echo $resMsg["SIZE_OVERFLOW"];
        return;
    }

    if ($_FILES["filename"]["error"] > 0)
    {
        echo $resMsg["ERROR"] . "(detail:" . $_FILES["filename"]["error"] . ")\r\n";
    }
    else
    {
        $dir = $_GET["data"];
        $file = $dir . "/" . $_FILES["filename"]["name"];
        if (empty($dir))  /*No directory specified*/
        {
            echo $resMsg["ERROR"];
        }
        else if (!copy($_FILES["filename"]["tmp_name"], $file))  /*Copy failed*/
        {
            echo $resMsg["UPLOAD_FAILED"] . $_FILES["filename"]["tmp_name"] . "=>" . $file . "\r\n";
        }
        else  /*Success*/
        {
            echo $resMsg["SUCCESS"];
        }
    }
}

/*Start process*/
if ($_GET["type"] == "ivr")
{
    processUploadFile();
}
else if ($_GET["type"] == "timezone")
{
    processUploadTimeZone();
}
else if ($_GET["type"] == "overlay")
{
    processUploadOverlay();
}
else if ($_GET["type"] == "backup")
{
    processUploadFile();
}
else if ($_GET["type"] == "moh")
{
    processUploadFile();
}
else if ($_GET["type"] == "flashupdate")
{
    processUploadFlash();
}

?>
